Name:           perl-Email-Simple
Version:        1.999
Release:        1%{?dist}
Summary:        Simple parsing of RFC2822 message format and headers

Group:          Development/Libraries
License:        GPL or Artistic
URL:            http://search.cpan.org/dist/Email-Simple/
Source0:        http://www.cpan.org/authors/id/R/RJ/RJBS/Email-Simple-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl(Email::MIME) >= 1.857
BuildRequires:  perl(Test::Pod) >= 1.14
BuildRequires:  perl(Test::Pod::Coverage) >= 1.08
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
"Email::Simple" is the first deliverable of the "Perl Email Project", a
reaction against the complexity and increasing bugginess of the
"Mail::*" modules. In contrast, "Email::*" modules are meant to be
simple to use and to maintain, pared to the bone, fast, minimal in their
external dependencies, and correct.


%prep
%setup -q -n Email-Simple-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%{perl_vendorlib}/Email/
%{_mandir}/man3/*.3pm*


%changelog
* Fri Mar 23 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.999-1
- Update to 1.999.

* Sat Feb 10 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.998-1
- Update to 1.998.

* Fri Dec  1 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.996-1
- Update to 1.996.

* Thu Oct 19 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.995-1
- Update to 1.995.

* Sat Oct  7 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.992-1
- Update to 1.992.

* Wed Sep  6 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.990-1
- Update to 1.990.

* Mon Aug 28 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.980-1
- Update to 1.980.

* Sat Jul 29 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.96-1
- Update to 1.96.

* Sat Jul 22 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.95-1
- Update to 1.95.

* Tue Jul 11 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.94-1
- Update to 1.94.

* Thu Sep 08 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.92-1
- First build.
